POST
Advanced Wallets - Consolidate Unspents
Builds, signs, and sends a transaction to consolidate unspents all in 1 call. Consolidating unspents is only for UTXO-based assets.
Retrieves the private key from KMS using the provided public key, then signs and broadcasts the transaction.
Use this endpoint only with advanced wallets. For other wallet types, use Consolidate unspents (simple).
Path Params
-
walletIdstring required -
coinstring required
Body Params
object
-
pubkeystring requiredPublic key of the key used for signing multisig transactions -
sourcestring enum requiredThe key to use for signing the transactionuserbackup -
feeRatenumberCustom fee rate (in base units) per kilobyte -
maxFeeRatenumberMaximum fee rate (in base units) per kilobyte -
maxFeePercentagenumberMaximum fee percentage -
feeTxConfirmTargetnumberFee transaction confirmation target -
bulkbooleanEnable bulk processing -
minValuestring or numberMinimum value for unspents -
maxValuestring or numberMaximum value for unspents -
minHeightnumberMinimum block height -
minConfirmsnumberMinimum confirmations required -
enforceMinConfirmsForChangebooleanEnforce minimum confirmations for change outputs -
limitnumberLimit the number of unspents to process -
numUnspentsToMakenumberNumber of unspents to make -
targetAddressstringTarget address for consolidation
Responses
200
OK
Response Body
object
-
txstring required -
txidstring required
400
Bad Request
Response Body
object
-
errorstring requiredThe error name -
detailsstring requiredError details
404
Not Found
Response Body
object
-
errorstring requiredThe error name -
detailsstring requiredError details
409
Conflict
Response Body
object
-
errorstring requiredThe error name -
detailsstring requiredError details
422
Unprocessable Entity
Response Body
object
-
errorstring requiredThe error name -
detailsstring requiredError details
500
Internal Server Error
Response Body
object
-
errorstring requiredThe error name -
detailsstring requiredError details
501
Not Implemented
Response Body
object
-
errorstring requiredThe error name -
detailsstring requiredError details